package com.elab.redis.config;

import com.elab.redis.config.props.ConfigRefreshProperties;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 缓存配置
 *
 * @author ： liukx
 * @time ： 2020/7/23 - 15:57
 */
@ConfigurationProperties(prefix = "spring.redis.elab")
public class ElabRedisProperties {
    /**
     * 注解有效时间
     */
    private Integer ttl;
    /**
     * 注解key的前缀补充
     */
    private String prefixWith;

    private ConfigRefreshProperties configRefresh = new ConfigRefreshProperties();

    public String getPrefixWith() {
        return prefixWith;
    }

    public void setPrefixWith(String prefixWith) {
        this.prefixWith = prefixWith;
    }

    public Integer getTtl() {
        return ttl;
    }

    public void setTtl(Integer ttl) {
        this.ttl = ttl;
    }

    public ConfigRefreshProperties getConfigRefresh() {
        return configRefresh;
    }

    public void setConfigRefresh(ConfigRefreshProperties configRefresh) {
        this.configRefresh = configRefresh;
    }
}

